declare const DasChangePwd: import("@das-fed/utils").SFCWithInstall<import("vue").DefineComponent<import("./src/type.js").Props, {
    openDialog: (token?: string) => void;
}, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {} & {
    onCancel: () => any;
    onConfirm: () => any;
}, string, import("vue").PublicProps, Readonly<import("./src/type.js").Props> & Readonly<{
    onOnCancel?: (() => any) | undefined;
    onOnConfirm?: (() => any) | undefined;
}>, {
    mainApp: "superadmin" | "enterpriseadmin" | "toolplatform";
}, {}, {}, {}, string, import("vue").ComponentProvideOptions, false, {}, any>>;
declare const DasChangePwdRef: () => import("vue").Ref<import("vue").CreateComponentPublicInstanceWithMixins<Readonly<import("./src/type.js").Props> & Readonly<{
    onOnCancel?: (() => any) | undefined;
    onOnConfirm?: (() => any) | undefined;
}>, {
    openDialog: (token?: string) => void;
}, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {} & {
    onCancel: () => any;
    onConfirm: () => any;
}, import("vue").PublicProps, {
    mainApp: "superadmin" | "enterpriseadmin" | "toolplatform";
}, false, {}, {}, import("vue").GlobalComponents, import("vue").GlobalDirectives, string, {}, any, import("vue").ComponentProvideOptions, {
    P: {};
    B: {};
    D: {};
    C: {};
    M: {};
    Defaults: {};
}, Readonly<import("./src/type.js").Props> & Readonly<{
    onOnCancel?: (() => any) | undefined;
    onOnConfirm?: (() => any) | undefined;
}>, {
    openDialog: (token?: string) => void;
}, {}, {}, {}, {
    mainApp: "superadmin" | "enterpriseadmin" | "toolplatform";
}> | null, import("vue").CreateComponentPublicInstanceWithMixins<Readonly<import("./src/type.js").Props> & Readonly<{
    onOnCancel?: (() => any) | undefined;
    onOnConfirm?: (() => any) | undefined;
}>, {
    openDialog: (token?: string) => void;
}, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {} & {
    onCancel: () => any;
    onConfirm: () => any;
}, import("vue").PublicProps, {
    mainApp: "superadmin" | "enterpriseadmin" | "toolplatform";
}, false, {}, {}, import("vue").GlobalComponents, import("vue").GlobalDirectives, string, {}, any, import("vue").ComponentProvideOptions, {
    P: {};
    B: {};
    D: {};
    C: {};
    M: {};
    Defaults: {};
}, Readonly<import("./src/type.js").Props> & Readonly<{
    onOnCancel?: (() => any) | undefined;
    onOnConfirm?: (() => any) | undefined;
}>, {
    openDialog: (token?: string) => void;
}, {}, {}, {}, {
    mainApp: "superadmin" | "enterpriseadmin" | "toolplatform";
}> | null>;
export { DasChangePwd, DasChangePwdRef };
